=== debian/changelog ===
mbarcode-plugin-isbn (0.1.0-0) unstable; urgency=low

  * Initial plugin version

 -- Josh Nisly <mbarcode@joshnisly.com>  Wed, 7 Jul 2010 12:54:00 -0500
