=== debian/control ===
Source: mbarcode-plugin-isbn
Section: user/utilities 
Priority: extra
Maintainer: Josh Nisly <mbarcode@joshnisly.com>
Build-Depends: libqt4-dev, mbarcode-dev (>=0.1.1-3)
Standards-Version: 3.7.2

Package: mbarcode-plugin-isbn
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4, mbarcode
Description: The ISBN plugin looks up ISBN numbers on Amazon.
XSBC-Bugtracker: https://garage.maemo.org/tracker/?atid=2740&group_id=732&func=browse
