## mbarcode-plugin-isbn 0.1.0-1

=== debian/changelog ===
mbarcode-plugin-isbn (0.1.0-1) unstable; urgency=low

  * Fix packaging

 -- Josh Nisly <mbarcode@joshnisly.com>  Thu,  8 Jul 2010 07:34:44 -0500
