=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: mbarcode-plugin-isbn
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4, mbarcode
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-core, libqt4-gui, mbarcode
 Description: The ISBN plugin looks up ISBN numbers on Amazon.
 XSBC-Bugtracker: https://garage.maemo.org/tracker/?atid=2740&group_id=732&func=browse
