## mbarcode-plugin-isbn 0.1.1-3

=== debian/changelog ===
mbarcode-plugin-isbn (0.1.1-3) unstable; urgency=low

  * Repackaged for PR1.3.

 -- Svenn-Arne Dragly <s@dragly.com>  Tue, 26 Oct 2010 16:44:00 +0200

mbarcode-plugin-isbn (0.1.1-2) unstable; urgency=low

  * Removed mbarcode dependency.

 -- Svenn-Arne Dragly <s@dragly.com>  Thu, 19 Aug 2010 13:39:00 +0200

mbarcode-plugin-isbn (0.1.1-1) unstable; urgency=low

  * Rebuild against new plugin API.

 -- Svenn-Arne Dragly <s@dragly.com>  Wed, 21 Jul 2010 03:00:00 +0200

mbarcode-plugin-isbn (0.1.1-0) unstable; urgency=low

  * Refactored MainWindow into MaemoBarcodeWindow.
  * Refactored SinkPlugin into PluginAction

 -- Svenn-Arne Dragly <s@dragly.com>  Thu, 8 Jul 2010 16:00:00 +0200
